unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DBCtrls, Buttons, ExtCtrls;

type
  TMainForm = class(TForm)
    Panel1: TPanel;
    QueryOrderBtn: TSpeedButton;
    QueryItemBtn: TSpeedButton;
    QueryDataSet: TSpeedButton;
    DBNavigator1: TDBNavigator;
    procedure QueryOrderBtnClick(Sender: TObject);
    procedure QueryItemBtnClick(Sender: TObject);
    procedure QueryDataSetClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses DataMod, OrdForm, ItmForm;

{$R *.DFM}

procedure TMainForm.QueryOrderBtnClick(Sender: TObject);
begin
	OrderDataModule.QueryOrders(OrderForm);
end;

procedure TMainForm.QueryItemBtnClick(Sender: TObject);
begin
	OrderDataModule.QueryItems(ItemForm.ItemGrid);
end;

procedure TMainForm.QueryDataSetClick(Sender: TObject);
begin
	OrderDataModule.QueryOrdersDataSet;
end;

procedure TMainForm.FormShow(Sender: TObject);
begin
	OrderForm.Show;
    ItemForm.Show;
end;

end.
